LayoutQueue (Java Platform SE 8 )
Keywords: javax.swing.text.LayoutQueue class
Date: 2016-12-09

javax.swing.text

## Class LayoutQueue

- java.lang.Object
- - javax.swing.text.LayoutQueue

-     public class LayoutQueue
      extends Object

  A queue of text layout tasks.
  Since:
    1.3
  See Also:
    `AsyncBoxView`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayoutQueue()` Construct a layout queue.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTask(Runnable task)` Add a task that is not needed immediately because the results are not believed to be visible.
    `static LayoutQueue` | `getDefaultQueue()` Fetch the default layout queue.
    `static void` | `setDefaultQueue(LayoutQueue q)` Set the default layout queue.
    `protected Runnable` | `waitForWork()` Used by the worker thread to get a new task to execute

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutQueue

          public LayoutQueue()

      Construct a layout queue.

  - ### Method Detail

    - #### getDefaultQueue

          public static LayoutQueue getDefaultQueue()

      Fetch the default layout queue.

    - #### setDefaultQueue

          public static void setDefaultQueue(LayoutQueue q)

      Set the default layout queue.
      Parameters:
        `q` - the new queue.

    - #### addTask

          public void addTask(Runnable task)

      Add a task that is not needed immediately because the results are not believed to be visible.

    - #### waitForWork

          protected Runnable waitForWork()

      Used by the worker thread to get a new task to execute

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.